SystemOrganization addCategory: #ConfigurationOfSmallUML!

Object subclass: #ConfigurationOfSmallUML
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSmallUML'!

!ConfigurationOfSmallUML class methodsFor: 'private' stamp: 'carlaGriggio 7/9/2010 01:44'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfSmallUML class methodsFor: 'private' stamp: 'carlaGriggio 7/9/2010 01:44'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfSmallUML class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 7/9/2010 01:44'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSmallUML class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 7/9/2010 01:44'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfSmallUML class methodsFor: 'loading' stamp: 'carlaGriggio 7/9/2010 01:44'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfSmallUML class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 7/9/2010 01:44'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfSmallUML class methodsFor: 'accessing' stamp: 'carlaGriggio 7/9/2010 01:44'!
project

	^self new project! !

!ConfigurationOfSmallUML class methodsFor: 'unloading Metacello' stamp: 'carlaGriggio 7/9/2010 01:44'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfSmallUML methodsFor: 'baselines' stamp: 'carlaGriggio 8/4/2010 04:41'!
baseline100: spec 
	<version: '0.1-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/smallUML'.	
		spec 
			package: 'UMLClassDiagramModel';
			package: 'UMLSequenceDiagramModel';
			package: 'Gaucho-Morphic-Core';
			package: 'MinimalConnectors-CurvesAndArrows';
			package: 'Gaucho-Morphic-Connectors'  with: [spec requires: 'Gaucho-Morphic-Core'. spec requires: 'MinimalConnectors-CurvesAndArrows']; 
			package: 'Gaucho-Morphic-InteractionPolicies';
			package: 'UMLDiagramDrawing' with: [ spec requires: 'MinimalConnectors-CurvesAndArrows'. ];
			package: 'UMLDiagramDescriptionTests' with: [ spec requires: 'UMLClassDiagramModel'. spec requires: 'UMLSequenceDiagramModel'. spec requires: 'Gaucho-Morphic-Connectors' ].
		spec
			group: 'default' with: #('Model' 'Drawing');
			group: 'Model' with: #('UMLClassDiagramModel' 'UMLSequenceDiagramModel');
			group: 'Drawing' with: #('MinimalConnectors-CurvesAndArrows' 'Gaucho-Morphic-Core' 'Gaucho-Morphic-Connectors' 'Gaucho-Morphic-InteractionPolicies' 'UMLDiagramDrawing');
			group: 'Tests' with: #('UMLDiagramDescriptionTests'). ].! !

!ConfigurationOfSmallUML methodsFor: 'baselines' stamp: 'carlaGriggio 8/6/2010 05:34'!
baseline200: spec 
	<version: '0.2-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/smallUML'.	
		spec 
			package: 'UMLClassDiagramModel';
			package: 'UMLSequenceDiagramModel';
			package: 'Gaucho-Morphic-Core';
			package: 'MinimalConnectors-CurvesAndArrows';
			package: 'Gaucho-Morphic-Connectors'  with: [spec requires: 'Gaucho-Morphic-Core'. spec requires: 'MinimalConnectors-CurvesAndArrows']; 
			package: 'Gaucho-Morphic-InteractionPolicies';
			package: 'UMLDiagramsTools';
			package: 'UMLDiagramDrawing' with: [ spec requires: 'MinimalConnectors-CurvesAndArrows'. ];
			package: 'UMLDiagramDescriptionTests' with: [ spec requires: 'UMLClassDiagramModel'. spec requires: 'UMLSequenceDiagramModel'. spec requires: 'Gaucho-Morphic-Connectors' ].
		spec
			group: 'default' with: #('Model' 'Drawing');
			group: 'Model' with: #('UMLClassDiagramModel' 'UMLSequenceDiagramModel');
			group: 'Drawing' with: #('MinimalConnectors-CurvesAndArrows' 'Gaucho-Morphic-Core' 'Gaucho-Morphic-Connectors' 'Gaucho-Morphic-InteractionPolicies' 'UMLDiagramDrawing' 'UMLDiagramsTools');
			group: 'Tests' with: #('UMLDiagramDescriptionTests'). ].! !

!ConfigurationOfSmallUML methodsFor: 'baselines' stamp: 'carlaGriggio 8/16/2010 06:29'!
baseline300: spec 
	<version: '0.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		
		spec repository: 'http://www.squeaksource.com/smallUML'.	
		spec 
			package: 'SUML-ClassDiagramModel';
			package: 'SUML-SequenceDiagramModel';
			package: 'SUML-Tools';
			package: 'MinimalConnectors-CurvesAndArrows' with:[spec repository: 'http://www.squeaksource.com/MinimalConnectors'];
			package: 'MinimalConnectors-ConnectableShapes' with:[spec repository: 'http://www.squeaksource.com/MinimalConnectors'];
			package: 'MinimalConnectors-Connections' with:[spec repository: 'http://www.squeaksource.com/MinimalConnectors'. spec requires: 'MinimalConnectors-ConnectableShapes'];
			package: 'SUML-DiagramDrawing' with: [ spec requires: 'MinimalConnectors-Connections'.  ];

			group: 'default' with: #('Model' 'Drawing');
			group: 'Model' with: #('SUML-ClassDiagramModel' 'SUML-SequenceDiagramModel');
			group: 'Drawing' with: #('SUML-DiagramDrawing' 'SUML-DiagramsTools' 'MinimalConnectors-CurvesAndArrows' 'MinimalConnectors-Connections' 'MinimalConnectors-ConnectableShapes').
		]! !

!ConfigurationOfSmallUML methodsFor: 'accessing' stamp: 'carlaGriggio 7/9/2010 01:44'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/4/2010 04:42'!
version100: spec 
	<version: '0.1' imports: #('0.1-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.3';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.6';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/6/2010 06:07'!
version200: spec 
	<version: '0.2' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.5';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.9';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.1'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/6/2010 17:24'!
version300: spec 
	<version: '0.3' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.5';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.10';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.4'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/7/2010 14:38'!
version400: spec 
	<version: '0.4' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.7';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.12';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.5'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/14/2010 17:31'!
version500: spec 
	<version: '0.5' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.8';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.13';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.6'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/14/2010 17:31'!
version600: spec 
	<version: '0.6' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.9';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.14';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.7'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/14/2010 17:31'!
version610: spec 
	<version: '0.6.1' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.10';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.16';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.8'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/16/2010 06:30'!
version700: spec 
	<version: '0.7' imports: #('0.2-baseline') >
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.13';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.23';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.16'].! !

!ConfigurationOfSmallUML methodsFor: 'versions' stamp: 'carlaGriggio 8/16/2010 06:34'!
version800: spec 
	<version: '0.8' imports: #('0.3-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec author: 'Carla Griggio'.
	]
"spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.13';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'MinimalConnectors-CurvesAndArrows' with:'MinimalConnectors-CurvesAndArrows-carlaGriggio.5';
			package: 'Gaucho-Morphic-Connectors' with:'Gaucho-Morphic-Connectors-carlaGriggio.25'; 
			package: 'Gaucho-Morphic-Core' with:'Gaucho-Morphic-Core-carlaGriggio.214';
			package: 'Gaucho-Morphic-InteractionPolicies' with: 'Gaucho-Morphic-InteractionPolicies-carlaGriggio.174';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.23';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.16']."! !

Object subclass: #ConfigurationOfSmallUMLPlain
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSmallUML'!

!ConfigurationOfSmallUMLPlain class methodsFor: 'private' stamp: 'carlaGriggio 8/16/2010 03:52'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'private' stamp: 'carlaGriggio 8/16/2010 03:52'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
			self bootstrapPackage: 'Gofer-Core-lr.115' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load 'default' group of Metacello"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #load ]! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 8/16/2010 03:52'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 8/16/2010 03:52'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'loading' stamp: 'carlaGriggio 8/16/2010 03:52'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'metacello tool support' stamp: 'carlaGriggio 8/16/2010 03:52'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'accessing' stamp: 'carlaGriggio 8/16/2010 03:52'!
project

	^self new project! !

!ConfigurationOfSmallUMLPlain class methodsFor: 'unloading Metacello' stamp: 'carlaGriggio 8/16/2010 03:52'!
unloadMetacello

	Smalltalk at: #ConfigurationOfMetacello ifPresent: [:cls | cls unloadMetacello ]! !

!ConfigurationOfSmallUMLPlain methodsFor: 'baselines' stamp: 'carlaGriggio 8/16/2010 05:34'!
baseline300: spec 
	<version: '0.3-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/smallUML'.	
		spec 
			package: 'UMLClassDiagramModel';
			package: 'UMLSequenceDiagramModel';
			package: 'UMLDiagramsTools';
			package: 'UMLDiagramDrawing';
			package: 'UMLDiagramDescriptionTests' with: [ spec requires: 'UMLClassDiagramModel'. spec requires: 'UMLSequenceDiagramModel'.  ].
		spec
			group: 'default' with: #('Model' 'Drawing');
			group: 'Model' with: #('UMLClassDiagramModel' 'UMLSequenceDiagramModel');
			group: 'Drawing' with: #('UMLDiagramDrawing' 'UMLDiagramsTools');
			group: 'Tests' with: #('UMLDiagramDescriptionTests'). ].! !

!ConfigurationOfSmallUMLPlain methodsFor: 'accessing' stamp: 'carlaGriggio 8/16/2010 03:52'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSmallUMLPlain methodsFor: 'versions' stamp: 'carlaGriggio 8/16/2010 05:34'!
version800: spec 
	<version: '0.8' imports: #('0.3-baseline') >
	
	spec for: #common do: [
		spec blessing: #release.
		spec 
			package: 'UMLClassDiagramModel' with:'UMLClassDiagramModel-carlaGriggio.13';
			package: 'UMLSequenceDiagramModel' with: 'UMLSequenceDiagramModel-carlaGriggio.3';
			package: 'UMLDiagramDrawing' with: 'UMLDiagramDrawing-carlaGriggio.25';
			package: 'UMLDiagramDescriptionTests' with: 'UMLDiagramDescriptionTests-carlaGriggio.3';
			package: 'UMLDiagramsTools' with: 'UMLDiagramsTools-carlaGriggio.16'].! !
